Restore a Neptune cluster
Restores the specified Neptune cluster backup or snapshot to the specified target destination.
- application/json
Request Body required
source object required
The Neptune backup or snapshot to be restored. Only one of these fields should be set.
backup object
The parameters for initiating a Neptune restore from a backup.
backup_id string requiredThe Clumio-assigned ID of the Neptune backup to be restored. Use the GET /backups/aws/neptune endpoint to fetch valid values.
snapshot object
The parameters for initiating a Neptune restore from a snapshot.
resource_id string requiredThe Clumio-assigned ID of the Neptune cluster to be restored. Use the GET /datasources/aws/neptune endpoint to fetch valid values.
timestamp string requiredA point in time to be restored in RFC-3339 format.
target object required
The configuration of the Neptune cluster to be restored.
environment_id stringThe Clumio-assigned ID of the AWS environment to be used as the restore destination. Use the GET /datasources/aws/environments endpoint to fetch valid values.
instance_class stringThe instance class of the Neptune cluster instances to be created. Possible values include
db.r5.2xlargeanddb.t2.small.kms_key_native_id stringThe AWS-assigned ID of the KMS encryption key used to encrypt data in this Neptune cluster.
name string requiredThe name given to the restored Neptune cluster.
option_group_name stringOption group name to be added to the restored Neptune cluster.
parameter_group_name stringThe name of the parameter group to be associated with the restored Neptune cluster.
security_group_native_ids string[]The AWS-assigned IDs of the security groups to be associated with the restored Neptune cluster.
subnet_group_name stringThe AWS-assigned name of the subnet group to be associated with the restored Neptune cluster.
tags object[]
The AWS tags to be applied to the restored instance.
key string requiredThe AWS-assigned tag key.
value stringThe AWS-assigned tag value.
- 202
- default
Success
- application/api.clumio.restored-aws-neptune=v1+json
- Schema
- Example (from schema)
Schema
- task_id string
The Clumio-assigned ID of the task created by this restore request. The progress of the task can be monitored using the
GET /tasks/{task_id}endpoint.
{
"task_id": "string"
}
Error
- application/json
- Schema
- Example (from schema)
Schema
errors object[]
A list of errors encountered during runtime.
error_code uint32error_message stringThe reason for the error.
{
"errors": [
{
"error_code": 0,
"error_message": "string"
}
]
}